package com.uca.entity;

public enum Couleur
{
    ArcEnCiel("arcEnCiel"),
    Rouge("rouge"),
    Vert ("vert"),
    Bleu ("bleu"),
    Blanc("blanc");

    private String value;

    private Couleur(String value)
    {
        this.value = value;
    }

    public String getString() { return value; }

    public static Couleur retrieve(String value)
    {
        if (value.compareTo("rouge") == 0)
        {
            return Rouge;
        }
        else if (value.compareTo("blanc") == 0)
        { return Blanc; }
        else if (value == "bleu")
        {
            return Bleu;
        }
        else if (value.compareTo("vert") == 0)
        {
            return Vert;
        }
        else if (value.compareTo("arcEnCiel") == 0)
        {
            return ArcEnCiel;
        }
        else {
            return null;
        }

    }
}
